Package org.apache.sling.discovery.base.commons

# Interface ViewChecker

All Known Implementing Classes:
  `BaseViewChecker`

public interface ViewChecker
A ViewChecker is capable of issuing a heartbeat and subsequently checking the resulting, current view in the local cluster.

This is mostly used as hooks for testing

## Method Summary

Modifier and Type
Method
Description
`void`
`checkView()`
Check the view (without issuing a heartbeat)
`void`
`heartbeatAndCheckView()`
Issue a heartbeat and check the view

## Method Details

### checkView

void checkView()
Check the view (without issuing a heartbeat)

### heartbeatAndCheckView

void heartbeatAndCheckView()
Issue a heartbeat and check the view